Bug 35177 - Save installed apps in a UCR variable
Save installed apps in a UCR variable
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Dirk Wiesenthal
Alexander Kläser
:
Depends on:
Blocks: 35271
  Show dependency treegraph
 
Reported: 2014-06-23 06:20 CEST by Stefan Gohmann
Modified: 2014-07-07 07:16 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-06-23 06:20:03 CEST
The app center should maintain a UCR variable which contains the installed apps as comma-separated list.

To make the UCR variable not to big, we should add a short char id to every app. Currently we should limit the id to 2 characters.

Please also add a test case to UCS test to ensure the short id is unique.
Comment 1 Dirk Wiesenthal univentionstaff 2014-06-24 16:46:52 CEST
App Center package:

Fixed in
  univention-management-console-module-appcenter 3.0.51-20.254.201406241643

UCR Variable is named repository/app_center/installed

App Center server:

Updated ini files in the Test App Center

Tests:

TBD
Comment 2 Dirk Wiesenthal univentionstaff 2014-06-25 16:31:10 CEST
Tests done. Moved initial setting of UCR variable from postinst to join script
Comment 3 Alexander Kläser univentionstaff 2014-06-26 16:34:36 CEST
The test script 30_ini_checks is not executable.
Comment 4 Alexander Kläser univentionstaff 2014-06-26 16:37:31 CEST
I would also suggest to print something like "test failed" or "test succeeded" at the very end of the script?
Comment 5 Alexander Kläser univentionstaff 2014-06-26 16:42:14 CEST
The test 17_app_status does not run on my system, even though I have installed the latest packages + the dependencies that are specified in the header:
> root@master60:~# /usr/share/ucs-test/20_appcenter/17_app_status 
> /var/cache/appcenter-installed.txt does not exist
> Starting 1 ucs-test at 2014-06-26 16:42:16 to /dev/null
> Checks if the apps are installed............. Test skipped (missing software)

(In reply to Alexander Kläser from comment #4)
> I would also suggest to print something like "test failed" or "test
> succeeded" at the very end of the script?

I think you did not import univention.testing.udm in this script!
Comment 6 Dirk Wiesenthal univentionstaff 2014-07-01 10:03:38 CEST
(In reply to Alexander Kläser from comment #3)
> The test script 30_ini_checks is not executable.

Fixed

(In reply to Alexander Kläser from comment #4)
> I would also suggest to print something like "test failed" or "test
> succeeded" at the very end of the script?

Fixed

(In reply to Alexander Kläser from comment #5)
> The test 17_app_status does not run on my system, even though I have
> installed the latest packages + the dependencies that are specified in the
> header:

Yes. But:

> > root@master60:~# /usr/share/ucs-test/20_appcenter/17_app_status 
> > /var/cache/appcenter-installed.txt does not exist
> > Starting 1 ucs-test at 2014-06-26 16:42:16 to /dev/null
> > Checks if the apps are installed............. Test skipped (missing software)

/var/cache/appcenter-installed.txt does not exist -> Test does not run and exits with a special return code. I did not really change 17_app_status (just moved some code to 30_ini_checks)
Comment 7 Alexander Kläser univentionstaff 2014-07-02 07:32:16 CEST
(In reply to Dirk Wiesenthal from comment #6)
> (In reply to Alexander Kläser from comment #3)
> > The test script 30_ini_checks is not executable.
> 
> Fixed

OK.

> (In reply to Alexander Kläser from comment #4)
> > I would also suggest to print something like "test failed" or "test
> > succeeded" at the very end of the script?
> 
> Fixed

OK.

> (In reply to Alexander Kläser from comment #5)
> > The test 17_app_status does not run on my system, even though I have
> > installed the latest packages + the dependencies that are specified in the
> > header:
> ... 
> /var/cache/appcenter-installed.txt does not exist -> Test does not run and
> exits with a special return code. I did not really change 17_app_status
> (just moved some code to 30_ini_checks)

OK.

Otherwise behaviour is fine, UCR variable is set with App IDs, tests are OK.

YAML file → OK.

→ VERIFIED
Comment 8 Moritz Muehlenhoff univentionstaff 2014-07-02 11:29:23 CEST
http://errata.univention.de/ucs/3.2/133.html